Installing Subversion (SVN)
ที่มา โดย ตรี: http://blog.o2sx.com/node/35
ลง lib ที่ต้องการใช้งานก่อน
# apt-get install gcc autoconf automake make libtool libssl-dev
# wget http://mirrors.issp.co.th/apache/apr/apr-1.3.8.tar.gz
# tar xvzf apr-1.3.8.tar.gz
# cd apr-1.3.8
# ./configure && make && make install
# wget http://mirrors.issp.co.th/apache/apr/apr-util-1.3.9.tar.gz
# tar xvzf apr-util-1.3.9.tar.gz
# cd apr-util-1.3.9
# ./configure --with-apr=/usr/local/apr
# make && make install
# wget http://nchc.dl.sourceforge.net/sourceforge/expat/expat-2.0.1.tar.gz
# tar -xvzf expat-2.0.1.tar.gz
# cd expat-2.0.1
# ./configure && make && make install
serf
# wget http://serf.googlecode.com/files/serf-0.2.0.tar.bz2
# tar xjvf serf-0.2.0.tar.bz2
# cd serf-0.2.0
# ./configure \
--prefix=/usr/local/serf \
--with-apr=/usr/local/apr
# make && make install
พร้อมแล้วลง subversion ( หาเวอร์ชั่นล่าสุดเองนะ ตามลิงค์ )
# wget http://subversion.tigris.org/downloads/subversion-1.5.2.tar.gz
# tar -xvzf subversion-1.5.2.tar.gz
# cd subversion-1.5.2
# ./configure \
--with-apr=/usr/local/apr \
--with-apr-util=/usr/local/apr \
--with-serf=/usr/local/serf
# make && make install
# vim /etc/init.d/svnserve
#! /bin/sh
# /etc/init.d/svnserve: start and stop svnserve
# Exit immediately if a command exits with a nonzero exit status.
set -e
# svnserve exists and is executable
test -x /usr/bin/svnserve || exit 0
# Directory Where the Repository is located, created with svnadmin create
# เปลียนเป็นพาร์ทที่จะไว้่เป็น พาร์ทในการอัพคอนเท็นทต่าง ๆ
REPOS_DIR="/home/svn"
# The pid-file
PIDFILE="/var/run/svnserve.pid"
case "$1" in
start)
echo -n "Starting Subversion (SVN) Server"
start-stop-daemon --start --quiet \
--exec /usr/bin/svnserve -- -d -r $REPOS_DIR
# Also tried the following line but it didn't work ok
# --make-pidfile --pidfile $PIDFILE
PID=`pidof svnserve` || true
echo $PID > $PIDFILE
echo "."
;;
stop)
echo -n "Stopping Subversion (SVN) Server"
start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE
if [ -f $PIDFILE ]
then
rm $PIDFILE
fi
echo "."
;;
*)
echo "Usage: /etc/init.d/svnserve {start|stop}"
exit 1
esac
exit 0
สร้าง Directory ที่เราระบุในไฟล์เซอร์วิส โฟลเดอร์สำหรับอัพคอนเท็นท์
# mkdir /home/svn
ของ debian คนพาร์ทแก้สคริปด้านบน หรือทำ symbolic link เอา
# ln -s /usr/local/bin/svnserve /usr/bin/svnserve
แก้ไฟล์ /etc/ld.so.conf
# vi /etc/ld.so.conf
ใส่ include /usr/local/lib เพิ่มไปแล้วรันคำสั่ง
# /sbin/ldconfig
# chmod +x /etc/init.d/svnserve
# update-rc.d svnserve defaults
start service
# /etc/init.d/svnserve start
วิธีสร้าง repo ใหม่
คือเข้าไปยังพาร์ทโฟลเดอร์ที่เราระบุไว้ในค่าคอนฟิก (ที่นี้คือ /home/svn )
# cd /home/svn
# svnadmin create ..........( ชื่อที่ต้องการ ) ก็จะได้ destination ที่ต้องการ
ไม่มีความคิดเห็น:
แสดงความคิดเห็น